# 更新gitea

[gitea发布地址](https://github.com/go-gitea/gitea/releases) ，下载二进制包。

下载到本地的话，上传文件到服务器命令：

```shell
scp [-P port] <filepath> [username@]<host>:<gitea bin path>
```

服务器下载命令：

```shell
wget <url>
```

解压命令

```shell
xz -dk <gitea>.xz
```

添加可执行权限

```shell
chmod +x <gitea bin>
```

升级命令：

```shell
cd <gitea bin path>
service gitea stop
mv gitea gitea_old
mv <new gitea> gitea
service gitea start
service gitea status
```

[gitea官方文档地址](https://docs.gitea.io/en-us/install-from-binary/#updating-to-a-new-version)

# 更新frp

[frp发布地址](https://github.com/fatedier/frp/releases)

```shell
service frps stop
cd ~
wget https://github.com/fatedier/frp/releases/download/v0.38.0/frp_0.38.0_linux_amd64.tar.gz
tar zxvf frp_0.38.0_linux_amd64.tar.gz
mv /usr/local/frp/ /usr/local/frp_old
mv frp_0.38.0_linux_amd64 /usr/local/frp
cp /usr/local/frp_old/frps.ini /usr/local/frp/frps.ini
service frps start
service frps status
```

# 更新v2ray

[官方文档](https://github.com/v2fly/fhs-install-v2ray/blob/master/README.zh-Hans-CN.md)

```shell
bash <(curl -L https://raw.githubusercontent.com/v2fly/fhs-install-v2ray/master/install-release.sh)
```