# 安装 `xapk`

## 解压并安装

电脑上直接解压缩即可。手机上需要重命名。将`.xapk`后缀改为`.zip`，再解压。

解压后有`Android`文件夹，将其中的`obb`文件夹目录下的内容拷贝到`/Android/obb/`目录下。单个apk直接安装即可，如果有多个apk文件需要使用adb工具安装。

## 下载 Android SDK Platform Tools

[下载页面](https://developer.android.google.cn/studio/releases/platform-tools?hl=zh-cn)

[Windows下载链接](https://dl.google.com/android/repository/platform-tools-latest-windows.zip?hl=zh-cn)

[Mac下载链接](https://dl.google.com/android/repository/platform-tools-latest-darwin.zip?hl=zh-cn)

[Linux下载链接](https://dl.google.com/android/repository/platform-tools-latest-linux.zip?hl=zh-cn)

### 添加到`PATH`环境变量（可选）

## adb工具安装多个apk

移动到`xpak`解压目录，运行：

```shell
adb install-multiple 1.apk 2.apk
```

将上述的`1.apk 2.apk`换成解压后的多个apk文件，每个以空格隔开。